<template>
	<div class="text-center box-border p-6 my-2 mx-auto min-w-300 w-full max-w-500 h-450 overflow-y-scroll" :class="bgColor">
		<h3 class="pb-3 border-b-2 border-gray-400">{{ title }}</h3>
		<table class="mt-2 pb-2 w-full">
			<thead>
				<tr>
					<th>Checklist</th>
					<th>Date</th>
					<th>Actions</th>
				</tr>
			</thead>
			<tbody>
				<tr v-for="(check, index) in checklist" :key="index">
					<td>{{ check.checklist }}</td>
					<td>{{ check.date }}</td>
					<td>
						<button @click="done(check.id)" class="py-1 px-2 mb-1 w-16 rounded-md" :class="[check.done ? 'bg-blue-300 hover:bg-blue-500 active:bg-blue-500' : 'bg-green-400 hover:bg-green-600 active:bg-green-600']">
							<span v-if="!check.done">Done</span>
							<span v-if="check.done">Undone</span>
						</button>
						<button @click="del(check.id)" class="py-1 px-2 w-16 rounded-md bg-red-500 hover:bg-red-400 active:bg-red-400 ">Delete</button>
					</td>
				</tr>
			</tbody>
		</table>
	</div>
</template>

<script>
export default {
	props: {
		checklist: Array,
		title: String,
		bgColor: String
	},
	methods: {
		done(id) {
			this.$emit('done', id);
		},
		del(id) {
			this.$emit("del", id);
		},
	},
};
</script>

<style scope>
th, td {
    padding: 5px 2px;
    font-size: 12px;
    width: 33%;
    overflow-wrap: break-word;
}

td {
	border-bottom: 1px solid rgba(17, 17, 17, 0.103);
}

::-webkit-scrollbar {
	width: 8px;
}

::-webkit-scrollbar-thumb {
	background-color: darkslategrey;
	border-radius: 5px;
}

::-webkit-scrollbar-track {
	background-color: transparent;
}

</style>
